# spectrum
## [pub.dev Listing](https://pub.dev/packages/spectrum) | [API Doc](https://pub.dev/documentation/spectrum/latest) | [GitHub](https://github.com/Zabadam/spectrum)
#### API References: [`Operators`](https://pub.dev/documentation/spectrum/latest/spectrum/Operators.html) | [`Steps`](https://pub.dev/documentation/spectrum/latest/spectrum/Steps-class.html) | [`GradientTween`](https://pub.dev/documentation/spectrum/latest/spectrum/GradientTween.html)

Smooth `Gradient` tweening not just by `Gradient.lerp()`... oh no,
that is not enough.

This package provides full bespoke `IntermediateGradient`s for truly smooth
and eye-popping gradient animations, amongst other things!

[![Incredibly beautiful GradientTweens with IntermediateGradients](https://raw.githubusercontent.com/Zabadam/spectrum/main/doc/tween_small.gif)](https://raw.githubusercontent.com/Zabadam/spectrum/main/doc/tween.gif 'Click for full size | Incredibly beautiful GradientTweens with IntermediateGradients')

`Color` operators are on deck as well as some nice methods to go along.

More to come. Package in progress.

## 🛣️ Roadmap
1. Additional `Color` utilities.
2. New `Gradient`s.

<br />

---

## 🐸 [Zaba.app ― simple packages, simple names.](https://pub.dev/publishers/zaba.app/packages 'Other Flutter packages published by Zaba.app')

<details>
<summary>More by Zaba</summary>

### Widgets to wrap other widgets
- ## 🕹️ [xl](https://pub.dev/packages/xl 'implement accelerometer-fueled interactions with a layering paradigm')
- ## 🌈 [foil](https://pub.dev/packages/foil 'implement accelerometer-reactive gradients in a cinch')
- ## 📜 [curtains](https://pub.dev/packages/curtains 'provide animated shadow decorations for a scrollable to allude to unrevealed content')
---
### Container widget that wraps many functionalities
- ## 🌟 [surface](https://pub.dev/packages/surface 'animated, morphing container with specs for Shape, Appearance, Filter, Tactility')
---
### Side-kick companions, work great alone or employed above
- ## 🆕 [neu](https://pub.dev/packages/neu '')
- ## 🙋‍♂️ [img](https://pub.dev/packages/img 'An extended Image \"Too\" and DecorationImageToo that support an expanded Repeat.mirror painting mode')
- ## 🙋‍♂️ [icon](https://pub.dev/packages/icon 'An extended Icon \"Too\" for those that are not actually square, plus shadows support + IconUtils')
- ## 🏓 [ball](https://pub.dev/packages/ball 'a bouncy, position-mirroring splash factory that\'s totally customizable')
- ## 👥 [shadows](https://pub.dev/packages/shadows 'convert a double-based \`elevation\` + BoxShadow and List\<BoxShadow\> extensions')
- ## 🎨 [spectrum](https://pub.dev/packages/spectrum '')
</details>
